MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025474Open CASCADE[OCCT] OCCT:Visualizationpublic2014-11-13 09:012015-05-14 15:31
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025474: Visualization, TKOpenGl - support lighting + colored vertices within built-in GLSL programs
DescriptionWithin fixed pipeline combination of per-vertex color and lighting is possible, see OpenGl_VertexBuffer::bindFixed():
    case Graphic3d_TOA_COLOR:
    {
      theCtx->core11->glEnableClientState (GL_COLOR_ARRAY);
      theCtx->core11->glColorPointer (theNbComp, theDataType, theStride, theOffset);
      theCtx->core11->glColorMaterial (GL_FRONT_AND_BACK,GL_AMBIENT_AND_DIFFUSE);
      theCtx->core11fwd->glEnable (GL_COLOR_MATERIAL);


however within built-in GLSL programs this combination (Normals + Colors) is ignored.
Modified shader should use occVertColor in place of occFrontMaterial_Ambient(), occFrontMaterial_Diffuse(), occBackMaterial_Ambient() and occBackMaterial_Diffuse() to provide the same behavior.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025304closedbugmaster Visualization, TKOpenGl - support texturing within built-in GLSL programs 
parent of 0026004closedbugmaster Visualization - fix misprint in OpenGl_ShaderManager::prepareStdProgramPhong() 
child of 0025146closedbugmaster Porting to Android 
child of 0025282closedbugmaster Visualization, OpenGl_PrimitiveArray - provide built-in GLSL programs as alternative to FFP 

-  Notes
(0034623)
git (administrator)
2014-11-23 18:05

Branch CR25474 has been created by kgv.

SHA-1: 22dedec53a187eedf305ccfae4622caee182f230


Detailed log of new commits:

Author: kgv
Date: Sun Nov 23 17:29:38 2014 +0300

    0025474: Visualization, TKOpenGl - support lighting + colored vertices within built-in GLSL programs
(0034664)
kgv (developer)
2014-11-25 10:47

Please take a look at the patch in branch CR25474.
(0034711)
kgv (developer)
2014-11-26 17:44

Dear bugmaster,

please switch to tested (within 0025304).
(0034712)
bugmaster (administrator)
2014-11-26 17:51

Issue has been fixed within 0025304
(0036624)
git (administrator)
2015-01-26 12:38

Branch CR25474 has been deleted by inv.

SHA-1: 22dedec53a187eedf305ccfae4622caee182f230

- Related Changesets
occt: master abdf0b10
Timestamp: 2014-11-23 14:29:38
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025474: Visualization, TKOpenGl - support lighting + colored vertices within built-in GLSL programs
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-11-13 09:01 kgv New Issue
2014-11-13 09:01 kgv Assigned To => kgv
2014-11-13 09:02 kgv Relationship added child of 0025146
2014-11-13 09:02 kgv Relationship added child of 0025282
2014-11-23 17:30 kgv Summary 0025304: Visualization, TKOpenGl - support lighting + colored vertices within built-in GLSL programs => Visualization, TKOpenGl - support lighting + colored vertices within built-in GLSL programs
2014-11-23 18:05 git Note Added: 0034623
2014-11-25 10:47 kgv Note Added: 0034664
2014-11-25 10:47 kgv Assigned To kgv => dbp
2014-11-25 10:47 kgv Status new => resolved
2014-11-26 17:36 kgv Relationship added related to 0025304
2014-11-26 17:44 kgv Note Added: 0034711
2014-11-26 17:44 kgv Assigned To dbp => bugmaster
2014-11-26 17:44 kgv Status resolved => feedback
2014-11-26 17:51 bugmaster Note Added: 0034712
2014-11-26 17:51 bugmaster Status feedback => tested
2014-11-27 19:17 apv Test case number => Not needed
2014-12-01 12:26 bugmaster Changeset attached => occt master abdf0b10
2014-12-01 12:26 bugmaster Status tested => verified
2014-12-01 12:26 bugmaster Resolution open => fixed
2015-01-19 16:23 bugmaster Target Version 7.1.0 => 6.9.0
2015-01-26 12:38 git Note Added: 0036624
2015-04-01 18:23 kgv Relationship added parent of 0026004
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker